Jupiter ERP
Account API

Get file folders tree

/api/account/file-folders/tree

GETHTTP
get/api/account/file-folders/tree

Example request

GET https://api.jupiter-erp.com/api/account/file-folders/tree

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/file-folders/tree' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
#/components/parameters/OrderDirParameter

Responses

200OK
FieldTypeDescription
child_folders_count*integer
childrenobject[]A recursive structure containing child folders. The nesting can go up to a maximum of 20 levels.

array

Elements

object

files_count*integer
hex_colorstring
id*integer
key*string
name*string
parent_idinteger
protectedboolean
root*boolean
system_keystringInternal folder key for system-managed folders (e.g. ai_assistant, ai_assistant_user_123).
Example response
{
  "id": 0,
  "key": "string",
  "root": true,
  "parent_id": 0,
  "name": "string",
  "hex_color": "string",
  "files_count": 0,
  "child_folders_count": 0
}
FileFolders

Questions about integration?

GET /api/account/file-folders/tree · Jupiter ERP